nvector.h File Reference

Provides a fast and generic vector class. More...

`#include <algorithm>`
`#include <iostream>`
`#include "regina-core.h"`

## Classes

class | regina::NVector< T >
| An optimised vector class of elements from a given ring T. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<class T >
std::ostream & | regina::operator<< (std::ostream &out, const NVector< T > &vector)
| Writes the given vector to the given output stream. More...

## Detailed Description

Provides a fast and generic vector class.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).